// Update the countdown timer
function updateCountdown() {
  // Set the target date (14 days from now for demo purposes)
  const now = new Date();
  const targetDate = new Date();
  targetDate.setDate(now.getDate() + 14);
  targetDate.setHours(now.getHours() + 6);
  targetDate.setMinutes(now.getMinutes() + 42);
  targetDate.setSeconds(now.getSeconds() + 38);
  
  const timeRemaining = targetDate - now;
  
  // Calculate days, hours, minutes, seconds
  const days = Math.floor(timeRemaining / (1000 * 60 * 60 * 24));
  const hours = Math.floor((timeRemaining % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
  const minutes = Math.floor((timeRemaining % (1000 * 60 * 60)) / (1000 * 60));
  const seconds = Math.floor((timeRemaining % (1000 * 60)) / 1000);
  
  // Update the DOM
  document.querySelector('.time-box:nth-child(1) .time-value').textContent = 
    days.toString().padStart(2, '0');
  document.querySelector('.time-box:nth-child(3) .time-value').textContent = 
    hours.toString().padStart(2, '0');
  document.querySelector('.time-box:nth-child(5) .time-value').textContent = 
    minutes.toString().padStart(2, '0');
  document.querySelector('.time-box:nth-child(7) .time-value').textContent = 
    seconds.toString().padStart(2, '0');
}

// Run the function immediately and then every second
updateCountdown();
setInterval(updateCountdown, 1000);

// Handle video background fallback
document.addEventListener('DOMContentLoaded', () => {
  const videoElement = document.querySelector('.video-element');
  const fallbackImage = document.querySelector('.fallback-image');
  
  // Show video if it loads successfully
  videoElement.addEventListener('loadeddata', () => {
    videoElement.style.display = 'block';
    fallbackImage.style.display = 'none';
  });
  
  // Show fallback image if video fails to load
  videoElement.addEventListener('error', () => {
    videoElement.style.display = 'none';
    fallbackImage.style.display = 'block';
  });
}); 