import React from 'react';
import styled from 'styled-components';

const FooterContainer = styled.footer`
  width: 100%;
  background: linear-gradient(to right, var(--bright-bg), var(--light-bg));
  padding: 25px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-top: 50px;
  border-top: 2px solid var(--turquoise);
  box-shadow: 0 -5px 15px rgba(0, 243, 255, 0.3);
  z-index: 10;
  position: relative;
`;

const LogoImg = styled.img`
  height: 90px;
  margin-bottom: 15px;
  transition: transform 0.3s ease;
  
  &:hover {
    transform: scale(1.05);
  }
`;

const Copyright = styled.p`
  color: white;
  font-size: 0.9rem;
  margin: 5px 0;
  text-shadow: 0 0 5px var(--neon-pink);
  font-weight: 500;
`;

const Footer = () => {
  return (
    <FooterContainer>
      <LogoImg src="/logo-footer.png" alt="Squid Game Logo" />
      <Copyright>© 2025 MrBeast</Copyright>
    </FooterContainer>
  );
};

export default Footer; 