import React, { useState, useEffect } from 'react';
import AdminDashboard from '../components/AdminDashboard';
import AdminLogin from '../components/AdminLogin';

const AdminPage = () => {
  const [isLoggedIn, setIsLoggedIn] = useState(false);
  
  // Check if user is logged in from localStorage on component mount
  useEffect(() => {
    const adminLoggedIn = localStorage.getItem('squidGameAdminLoggedIn');
    if (adminLoggedIn === 'true') {
      setIsLoggedIn(true);
    }
  }, []);
  
  const handleLogin = () => {
    // Set logged in state
    setIsLoggedIn(true);
    // Store logged in state in localStorage
    localStorage.setItem('squidGameAdminLoggedIn', 'true');
  };
  
  const handleLogout = () => {
    // Clear logged in state
    setIsLoggedIn(false);
    // Remove from localStorage
    localStorage.removeItem('squidGameAdminLoggedIn');
  };
  
  return isLoggedIn ? (
    <AdminDashboard onLogout={handleLogout} />
  ) : (
    <AdminLogin onLogin={handleLogin} />
  );
};

export default AdminPage; 