import React from 'react';
import styled from 'styled-components';
import RegisterForm from '../components/RegisterForm';
import Footer from '../components/Footer';

const RegisterPageContainer = styled.div`
  min-height: 100vh;
  background: linear-gradient(135deg, var(--bright-bg) 0%, var(--light-bg) 100%);
  padding: 40px;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
`;

const RegisterPageTitle = styled.h1`
  color: white;
  text-shadow: 0 0 10px var(--neon-blue), 0 0 20px var(--neon-blue);
  font-size: 3.5rem;
  margin-bottom: 2rem;
  text-transform: uppercase;
  letter-spacing: 3px;
`;

const ExpandedFormContainer = styled.div`
  width: 100%;
  max-width: 1200px;
  margin-bottom: 50px;
`;

const RegisterPage = () => {
  return (
    <RegisterPageContainer>
      <RegisterPageTitle>Register for Squid Game 2</RegisterPageTitle>
      <ExpandedFormContainer>
        <RegisterForm standalone={true} expanded={true} />
      </ExpandedFormContainer>
      <Footer />
    </RegisterPageContainer>
  );
};

export default RegisterPage; 